import { Schema } from 'mongoose';
import * as model from './model';
export declare const MINIMAL = "MINIMAL";
declare module './model' {
    interface ModelConfig {
        levels?: string[];
    }
}
declare module 'mongoose' {
    interface Schema {
        levelMap?: {
            [name: string]: string[];
        };
        levels: string[];
    }
}
export declare function dataLevelPlugin(schema: Schema, options: model.ModelConfig): void;
